<%-- 
    Document   : songs
    Created on : 18.2.2012, 11:11:21
    Author     : Pavel Micka
--%>

<%@page import="java.sql.Time"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link rel="stylesheet" href="resources/css/default.css" />
        <title>Hity skupiny The beatles</title>
    </head>
    <body>
        <div id="header">
            Vítejte na našich stránkách. Dnes je <fmt:formatDate dateStyle="long" value="<%= new Time(System.currentTimeMillis())%>" />
        </div>

        <h1>Hity skupiny <span class="emphased">The Beatles</span></h1>
        <img src="resources/images/175px-Stamp-ctc-the-beatles.png" class="image" alt="Poštovní známka na motivy The Beatles (Yellow Submarine)"/>
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent adipiscing magna vel nulla consequat a bibendum nunc adipiscing. Suspendisse at ligula sit amet magna accumsan tempor. Etiam at orci quis urna laoreet posuere. Integer nisl ante, varius non fringilla a, commodo eu justo. In hac habitasse platea dictumst. Donec quis magna id quam facilisis aliquam eu quis nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean rhoncus, leo eget volutpat commodo, felis metus adipiscing turpis, eget tempus libero erat ut lorem. Curabitur suscipit elementum libero, sed eleifend ligula sollicitudin vitae.</p>
        <p>Praesent ut arcu eros. Nam sit amet ipsum in elit mollis tincidunt. Morbi est dolor, semper euismod viverra sit amet, dapibus nec purus. Sed imperdiet velit eget elit malesuada varius et in odio. Vivamus purus felis, interdum ac suscipit sodales, pulvinar nec tortor. Praesent gravida, dui ut malesuada lacinia, ipsum neque consequat massa, in pharetra lorem tortor ut mi. Suspendisse lobortis molestie tortor in vulputate. Maecenas vel erat neque. Nulla facilisi.</p>

        <p>Mezi jejich nejznámější písně patří: </p>
        <ul>
            <c:forEach items="${requestScope['songs']}" var="song">
                <li>${song}</li>
            </c:forEach>
        </ul>
        <h2>Přidejte svůj song</h2>
        <p>Chybí Vám zde nějaká píseň Vašeho srdce? Přidejte ji!</p>
        <form method="post" action="SongServlet">
            <fieldset>
                <legend>Nová píseň</legend>
                <label for="newSong">Jméno písně</label><br />
                <input type="text" name="song" id="newSong" />
                <input type="submit" value="Přidat píseň" />
            </fieldset>
        </form>
    </body>
</html>
